> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an organization entity

> Creates an Organization entity object which can be used to store data about an organization. You can optionally include documents, attachments, references etc. to the entity.



## OpenAPI

````yaml /specs/fc-kyb-bundled_generated.yaml post /v2/organizations
openapi: 3.0.3
info:
  title: KYB V2 API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for native v2 KYB. Currently in
    development, changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Organization Workflows
    description: Manage workflows and executions for organizations
  - name: Hosted URL
    description: Api calls related to Hosted URL
  - name: Organization Relationships
    description: Manage relationships for organizations
  - name: Organization Addresses
    description: Manage addresses for organizations
  - name: Organization Custom Attributes
    description: Manage custom attributes for organizations
  - name: Organization Monitoring
    description: Manage AML monitoring for organizations
  - name: Organization Results
    description: Manage results for organizations
paths:
  /v2/organizations:
    post:
      tags:
        - Organizations
      summary: Create an organization entity
      description: >-
        Creates an Organization entity object which can be used to store data
        about an organization. You can optionally include documents,
        attachments, references etc. to the entity.
      operationId: createOrganization
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationToken:
                  type: string
                organization:
                  $ref: '#/components/schemas/Organization-Create'
                serviceName:
                  type: string
                comment:
                  $ref: '#/components/schemas/Comment'
        description: >-
          Organization token retrieved with the lookup, or basic organization
          details. Exactly one of organizationToken or organization must be
          provided.
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Entity-Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Internal Server Error:
                  value:
                    errorCode: SYS-1063,
                    errorMsg: Failed to generate KYC report
                    requestId: 01HM5EM2QNNSC9K0PX9VC06HX3
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyb:api
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
  schemas:
    Organization-Create:
      type: object
      required:
        - addresses
        - details
      description: Basic attributes that are available for organization creation.
      properties:
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          minItems: 1
          description: >-
            A list of addresses to add. Addresses must not have IDs. The address
            country must always be included. Omitting the address type, or
            specifying 'OTHER' will set the type as 'BUSINESS'. There must be at
            least one address with a type from the list:
              - REGISTERED_OFFICE
              - OFFICIAL_CORRESPONDANCE
              - BUSINESS
              - PLACE_OF_BUSINESS
              - OFFICE_LOCALITY
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        details:
          $ref: '#/components/schemas/Organization-Details-Create'
        jurisdictionalInformation:
          $ref: '#/components/schemas/Jurisdictional-Information-Create'
    Comment:
      type: object
      properties:
        commentId:
          type: string
          description: Unique identifier for the comment
          format: ulid
          example: 01K3G4CCQ3DY3B1413S19M9QW1
          readOnly: true
        text:
          type: string
          description: The text content of the comment.
          example: Update after speaking to customer over the phone directly.
        entityId:
          $ref: '#/components/schemas/Entity-ID-Writeable'
        entityType:
          $ref: '#/components/schemas/Entity-Type-Writeable'
    Organizations-Entity-Response:
      type: object
      required:
        - requestId
      properties:
        organization:
          $ref: '#/components/schemas/Organization'
        serviceProfiles:
          type: array
          items:
            $ref: '#/components/schemas/Service-Profile'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Address:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw, unformatted address as provided by the source. Not
                normalized or standardized.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Custom-Attributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Attribute'
    Organization-Details-Create:
      type: object
      required:
        - name
      description: Basic details that are available for organization creation.
      properties:
        name:
          $ref: '#/components/schemas/Organization-Name'
          description: The name as registered in the primary registry of the organization
    Jurisdictional-Information-Create:
      type: object
      description: >-
        Basic details for specific jurisdictions that are available for
        organization creation.
      properties:
        taxpayerIdentificationNumber:
          $ref: '#/components/schemas/Value-Source-ID'
    Entity-ID-Writeable:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    Entity-Type-Writeable:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
    Organization:
      type: object
      description: This is the complete Organization Model
      allOf:
        - $ref: '#/components/schemas/Organization-Summary'
        - type: object
          properties:
            linkedIndividuals:
              type: object
              description: >-
                The additional details of the individuals that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Linked-Individual'
            linkedOrganizations:
              type: object
              description: >-
                The additional details of the organization that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Summary'
            linkedUnknownEntities:
              type: object
              description: >-
                The additional details of an entity that is linked to the parent
                entity
              additionalProperties:
                $ref: '#/components/schemas/Unknown-Entity'
            blockingEntities:
              type: object
              description: >-
                The details of the entities that are linked to the parent entity
                that have resulted in not getting a complete picture of the
                focus entity
              additionalProperties:
                $ref: '#/components/schemas/Blocking-Entity'
            ultimateBeneficialOwners:
              description: >-
                UBO stands for "Ultimate Beneficial Owner." UBO(s) are the
                ultimate natural person(s) who ultimately owns or controls a
                company. It provides information about the individuals who have
                a significant level of control or ownership in a company, either
                directly or indirectly
              type: array
              items:
                $ref: '#/components/schemas/UBO'
            otherOwners:
              description: The other owners of the company, who aren't necessarily UBO's
              type: array
              items:
                $ref: '#/components/schemas/Other-Owner'
            informationSources:
              type: object
              description: Map of Information sources which are used across the response
              additionalProperties:
                $ref: '#/components/schemas/Information-Source'
            ownershipPolicy:
              $ref: '#/components/schemas/Ownership-Policy'
    Service-Profile:
      allOf:
        - $ref: '#/components/schemas/Service-Profile-Base'
        - type: object
          properties:
            state:
              $ref: '#/components/schemas/Service-Profile-State'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Attribute:
      type: object
      required:
        - type
        - value
      properties:
        type:
          description: The attribute type.
          type: string
          maxLength: 64
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          description: The value assigned to the attribute.
          type: string
          x-oapi-codegen-extra-tags:
            audit: mask
    Organization-Name:
      type: object
      properties:
        name:
          description: The organization's name
          type: string
        type:
          description: The type of name
          type: string
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which this name will be in effect
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which this name will be in effect
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Value-Source-ID:
      type: object
      properties:
        value:
          type: string
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Organization-Summary:
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            websiteUrls:
              type: array
              items:
                $ref: '#/components/schemas/Website-URL'
            details:
              $ref: '#/components/schemas/Organization-Details'
            shareholders:
              type: array
              description: >-
                The shareholders of a company. It includes details such as the
                names of the shareholders, the number of shares held by each
                shareholder, and their ownership percentages
              items:
                $ref: '#/components/schemas/Organization-Shareholder'
            shareInterests:
              description: >-
                The specific interests or holdings of shareholders in a company.
                It may include information about different classes or types of
                shares held by shareholders, such as ordinary shares, preference
                shares, or options
              type: array
              items:
                $ref: '#/components/schemas/Organization-Share-Interest'
            officials:
              type: array
              description: >-
                The individuals who hold official positions or roles within a
                company, such as directors or company secretaries. It includes
                details such as their names, positions, appointment dates, and
                other relevant information
              items:
                $ref: '#/components/schemas/Organization-Official'
            shareCapital:
              $ref: '#/components/schemas/Organization-Share-Capital'
              description: >-
                The total value of shares issued by the company to its holders.
                It typically includes both the nominal value of the shares as
                well as any premium paid by the shareholders.
            indicators:
              description: >-
                The indicators that contribute to the risk of an organization or
                other parameters that needs to be looked at
              type: array
              items:
                $ref: '#/components/schemas/Indicator'
            jurisdictionalInformation:
              $ref: '#/components/schemas/Jurisdictional-Information'
            updatedAt:
              type: string
              format: date-time
              description: The date and time when the organization is last updated.
    Organization-Linked-Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Individual'
    Unknown-Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        name:
          type: string
          description: The name of the organization or the individual entity
        addresses:
          type: array
          description: Collection of address objects
          items:
            $ref: '#/components/schemas/Address'
        country:
          type: string
          description: The nationality or country of the entity
        shareholders:
          type: array
          description: >-
            The shareholders of a company. It includes details such as the names
            of the shareholders, the number of shares held by each shareholder,
            and their ownership percentages
          items:
            $ref: '#/components/schemas/Organization-Shareholder'
        shareInterests:
          description: >-
            The specific interests or holdings of shareholders in a company. It
            may include information about different classes or types of shares
            held by shareholders, such as ordinary shares, preference shares, or
            options
          type: array
          items:
            $ref: '#/components/schemas/Organization-Share-Interest'
        officials:
          type: array
          description: >-
            The individuals who hold official positions or roles within a
            company, such as directors or company secretaries. It includes
            details such as their names, positions, appointment dates, and other
            relevant information
          items:
            $ref: '#/components/schemas/Organization-Official'
        shareCapital:
          $ref: '#/components/schemas/Organization-Share-Capital'
          description: >-
            The total value of shares issued by the company to its holders. It
            typically includes both the nominal value of the shares as well as
            any premium paid by the shareholders.
        indicators:
          description: >-
            The indicators that contribute to the risk of an organization or
            other parameters that needs to be looked at
          type: array
          items:
            $ref: '#/components/schemas/Indicator'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Blocking-Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
          description: >-
            Details of this organization would be available in the
            linkedOrganizations or linkedIndividuals
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        blockingReasons:
          description: >-
            The reasons why the entity is categorized as blocking the parent
            entity
          type: array
          items:
            $ref: '#/components/schemas/Blocking-Reason'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    UBO:
      description: >-
        UBO stands for "Ultimate Beneficial Owner." UBO(s) are the ultimate
        natural person(s) who ultimately owns or controls a company. It provides
        information about the individuals who have a significant level of
        control or ownership in a company, either directly or indirectly.
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        reasons:
          description: The reason(s) as to why the entity was classified as an UBO
          type: array
          items:
            $ref: '#/components/schemas/Code-Description'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Other-Owner:
      description: >-
        Owners that do not meet the threshold to be classified as UBOs or
        Blocking Entities
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Information-Source:
      type: object
      properties:
        sourceId:
          type: string
          description: >-
            As sources are added to an entity, they're assigned a unique
            identifier to assist with modification and reference.

            To modify a source, include the sourceId in an update request call.
          x-oapi-codegen-extra-tags:
            audit: keep
        source:
          description: The source of information like document number, website, etc.
          type: string
          example: Client
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceNormalized:
          description: The result of converting the raw source name to a normalized result.
          type: string
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          description: The type or details of the source of information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        provider:
          description: The provider of the information, e.g., Equifax.
          type: string
          example: equifax-au
          x-oapi-codegen-extra-tags:
            audit: keep
        providerReference:
          description: Reference linking to the provider for this information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: The date and time this information was first created in the system.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        requestedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne requested this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne retrieved this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        isAuthoritative:
          type: boolean
          description: >-
            Indicates whether this information is from an authoritative source,
            e.g., a company registry.
          example: false
          x-oapi-codegen-extra-tags:
            audit: keep
      readOnly: true
    Ownership-Policy:
      description: >-
        Defines the configuration and specific threshold values that allows to
        identify Blocking Entities, UBOs and Other Owners.
      type: object
      properties:
        uboThreshold:
          description: >-
            The minimum percentage of total ownership (Beneficial and
            Non-Beneficial) that an entity needs to be defined as a UBO.
          type: number
          format: float
        blockingThreshold:
          description: >-
            The minimum percentage of total ownership (Beneficial and
            Non-Beneficial) that an entity needs to be defined as a Blocking
            Entity.
          type: number
          format: float
        blockingDefinitions:
          description: >-
            The collection of reasons that define an entity as being a blocking
            entity.
          type: array
          items:
            $ref: '#/components/schemas/Organization-Blocking-Definition'
    Service-Profile-Base:
      type: object
      properties:
        serviceProfileId:
          type: string
          description: The unique identifier for the service profile.
          example: 55fc5d54-46f7-49c8-bf78-e07ec79c42fd
          readOnly: true
        latestRiskAssessmentId:
          $ref: '#/components/schemas/Risk-Assessment-ID'
          description: >-
            The ID of the latest risk assessment in the most recent workflow
            with a valid assessment.

            Omitted if no valid risk assessment exists.
        latestWorkflowExecutionId:
          type: string
          description: |-
            The ID of the most recent workflow execution.
            Omitted if no workflows exist.
        entityId:
          type: string
          readOnly: true
        entityName:
          type: string
          readOnly: true
        entityType:
          type: string
          readOnly: true
        schemaVersion:
          type: integer
          description: The version number of the schema.
          example: 2
          readOnly: true
        createdAt:
          type: string
          format: date-time
          description: The UTC date and time when this service profile was created.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
        createdRequestId:
          type: string
          description: >-
            The unique ULID identifier of the request that created this service
            profile.
          example: 01HMR2ERSKCYAVXKS1FKSRT2T4
          readOnly: true
        createdBy:
          type: string
          description: The user or client that created this profile.
          example: Ryan Reynolds
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          description: >-
            The UTC date and time when this service profile was last updated, if
            applicable.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
        updatedBy:
          type: string
          description: The user or client that last updated this profile.
          example: Ryan Reynolds
          readOnly: true
        updatedRequestId:
          type: string
          description: >-
            The unique ULID identifier of the request that last updated this
            service profile.
          example: 01HMR2ERSKCYAVXKS1FKSRT2T4
          readOnly: true
        assignee:
          type: string
          description: The name of the officer assigned to approve this profile.
          example: Ryan Gosling
        reviewer:
          type: string
          description: The name of the officer assigned to review this profile.
          example: Ryan Trahan
        currentWorkflowId:
          type: string
          readOnly: true
        currentWorkflowName:
          type: string
          description: The name of the current workflow, if applicable.
        workflowSummaries:
          type: array
          items:
            $ref: '#/components/schemas/Workflow-Execution-Summary'
          readOnly: true
        serviceName:
          type: string
          description: The name of the service associated with this profile.
          readOnly: true
        customerReference:
          type: string
          readOnly: true
          description: Customer-specific identifier(s).
        subscriptions:
          type: array
          description: >-
            The list of subscriptions associated with the service profile.

            A subscription determines if the service profile is subscribed to a
            particular ongoing process.
          items:
            $ref: '#/components/schemas/Service-Profile-Subscription'
          readOnly: true
    Service-Profile-State:
      type: string
      description: >-
        Current state of the Service Profile

        - INIT: Initial state when the profile is created.

        - AUTO: Automatically assigned state, typically after initial
        processing.

        - ACTIVE: The profile is active and in use.

        - ARCHIVED: The profile has been archived and is no longer active.

        - BLOCKLISTED: The profile is blocked from further actions.

        - INACTIVE: The profile is inactive, not currently in use.

        - DELETED: The profile has been deleted.

        - DUPLICATE: The profile is a duplicate of another existing profile.
      enum:
        - INIT
        - AUTO
        - ACTIVE
        - ARCHIVED
        - BLOCKLISTED
        - INACTIVE
        - DELETED
        - DUPLICATE
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
    Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        createdAt:
          type: string
          format: date-time
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        schemaVersion:
          type: integer
          description: The schema version of this entity.
          example: 2
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: A list of all address information associated with the entity.
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Phone-Number'
          description: A list of all phone numbers associated with the entity.
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/Email'
          description: A list of all email addresses associated with the entity.
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        externalReferences:
          type: array
          items:
            $ref: '#/components/schemas/External-Reference'
          description: A list of all external references associated with the entity.
        documents:
          $ref: '#/components/schemas/Entity-Documents'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Website-URL:
      title: Website URL
      type: object
      properties:
        websiteUrl:
          type: string
          description: The website URL.
        sourceId:
          type: string
          description: >
            Reference to the information source where this data was obtained.

            This should correspond to an informationSource object in the
            informationSources map.
    Organization-Details:
      type: object
      description: organization details for entities. Returned from a registry.
      properties:
        type:
          $ref: '#/components/schemas/Code-Description-Source-ID'
        class:
          $ref: '#/components/schemas/Code-Description-Source-ID'
        subClass:
          $ref: '#/components/schemas/Code-Description-Source-ID'
        subType:
          $ref: '#/components/schemas/Code-Description-Source-ID'
        registrationDetails:
          description: >-
            This will contain a list of different registries the organization is
            registered in
          type: array
          items:
            $ref: '#/components/schemas/Organization-Registration-Details'
        alternateNames:
          description: >-
            This will contain all the other names apart from the registered name
            of the organization. Examples - name in other languages, trading
            name, older names, etc.
          type: array
          items:
            $ref: '#/components/schemas/Organization-Name'
        name:
          $ref: '#/components/schemas/Organization-Name'
          description: The name as registered in the primary registry of the organization
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of the organization based on its primary registry
        jurisdiction:
          $ref: '#/components/schemas/Organization-Jurisdiction'
        industryDeclarations:
          description: An array of declarations made by the organization as in the registry
          type: array
          items:
            $ref: '#/components/schemas/Industry-Declaration'
        industryCodes:
          description: >-
            An array of industry codes assigned to the organization as in the
            registry
          type: array
          items:
            $ref: '#/components/schemas/Industry-Code'
    Organization-Shareholder:
      description: >-
        Individuals or entities that own traditional shares or other equity
        units in a company. Details include the names of the holders, the number
        of shares or units held, and ownership percentages.
      allOf:
        - type: object
          properties:
            entityId:
              $ref: '#/components/schemas/Entity-ID'
            entityType:
              $ref: '#/components/schemas/Entity-Type'
            shareholderType:
              description: The type of shareholder
              type: string
            totalShares:
              type: number
              format: double
              description: The total number of shares held by this shareholder
            totalPercentage:
              type: number
              format: double
              description: The total percentage of shares held by this shareholder
            shareholdings:
              type: array
              items:
                $ref: '#/components/schemas/Organization-Shareholder-Shareholding'
    Organization-Share-Interest:
      description: >-
        Denotes the ownership stakes in a company, including shares and units.
        Details may include type of shares or units, and the number of shares or
        units held by holders.
      allOf:
        - $ref: '#/components/schemas/Organization-Share-Structure'
        - type: object
          properties:
            percentage:
              description: The percentage of shares
              type: number
              format: double
            isNonBeneficiallyHeld:
              description: Flag to show whether this is non beneficially held
              type: boolean
            isJointlyHeld:
              description: Flag to show whether this is jointly held
              type: boolean
            members:
              description: The entities that are a part of the interest
              type: array
              items:
                $ref: '#/components/schemas/Organization-Share-Interest-Member'
    Organization-Official:
      type: object
      description: >-
        The individuals who hold official positions or roles within a company,
        such as directors or company secretaries. It includes details such as
        their names, positions, appointment dates, and other relevant
        information.
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        officialId:
          description: The unique identifier for the official in the organization
          type: string
        isFromRelationship:
          type: boolean
          readOnly: true
          description: >-
            Indicates if this official was added via relationship operations,
            rather than automatically from an ownership report. If true, then
            this official can only be updated and deleted via the relationship
            operations.
        officialType:
          $ref: '#/components/schemas/Organization-Official-Type'
        role:
          $ref: '#/components/schemas/Code-Description'
          description: >-
            The role of the official in the organization.  '''code''' is the
            normalized code for the role.
        identification:
          type: array
          description: >-
            Relevant for Official. The identification number of official such as
            Director identification number
          items:
            $ref: '#/components/schemas/Organization-Official-Identification'
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of information like current, ceased, etc
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        appointmentDate:
          $ref: '#/components/schemas/Date'
          description: >-
            Relevant for Official and US Officer. The date when the official or
            US Officer was appointed/assigned to the organization
        title:
          description: >-
            Relevant for US Officer. The title of the official in the
            organization (Mr/Mrs).
          type: string
        directorships:
          type: array
          description: >-
            Information on roles of the official in other organizations.
            Available in some jurisdictions.
          items:
            $ref: '#/components/schemas/Organization-Official-Directorship'
        cessationDate:
          $ref: '#/components/schemas/Date'
          description: >-
            Relevant for Official and PSC. The date when the official or PSC
            ceased their relation with the organization
        nationality:
          description: >-
            Relevant for PSC and Official. Nationality of the PSC or Official
            resides.
          type: string
        countryOfResidence:
          description: >-
            Relevant for PSC and Official. The Country in which the PSC or
            Official resides.
          type: string
        kind:
          description: >-
            Relevant for PSC. The type of control as declared by the
            organization in the registry.
          type: string
        natureOfControl:
          description: >-
            Relevant for PSC. The nature of control as declared, this can
            contain multiple types of control progressively added or added
            together
          type: array
          items:
            type: string
        notifiedOn:
          $ref: '#/components/schemas/Date'
          description: >-
            Relevant for PSC. The date on which the registry was notified of the
            PSC by the organization.
    Organization-Share-Capital:
      type: object
      description: >-
        The total value of shares issued by the company to its holders. It
        typically includes both the nominal value of the shares as well as any
        premium paid by the shareholders.
      properties:
        totalShareCount:
          type: number
          format: double
          description: The total number of shares issued by the company to its shareholders
        shareStructure:
          type: array
          description: >-
            The share capital of a company, which refers to the total value of
            shares issued by the company to its shareholders. It typically
            includes both the nominal value of the shares as well as any premium
            paid by the shareholders
          items:
            $ref: '#/components/schemas/Organization-Share-Structure'
        capitalType:
          type: array
          items:
            $ref: '#/components/schemas/Organization-Ownership-TypeEnum'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Indicator:
      type: object
      description: Highlights areas within the data that require review or attention.
      properties:
        flag:
          type: string
          description: The name or type of the flag. (Deprecated)
          deprecated: true
        value:
          type: string
          description: Identifies the area requiring attention.
        indicator:
          type: string
          description: |-
            Specifies the condition of an area requiring attention.

            Not an enum. Possible values are:
              - REGISTRATION_NOT_FOUND: Registration has not been found.
              - PROVIDER_FETCH_ERROR: There was a provider fetch error.
              - OFFICIALS_OUTDATED: The direct official is outdated.
              - SHARE_CAPITAL_OUTDATED: The direct share capital is outdated.
              - SHAREHOLDERS_OUTDATED: The direct shareholder is outdated.
              - INDIRECT_SHAREHOLDERS_OUTDATED: An issue exists somewhere lower in the ownership tree.
              - INDIRECT_OFFICIALS_OUTDATED: An issue exists somewhere lower in the ownership tree.
              - INDIRECT_SHARE_CAPITAL_OUTDATED: An issue exists somewhere lower in the ownership tree.
              - OWNERSHIP_DOES_NOT_SUPPORT_COUNTRY: Ownership does not support country but Profile does.
              - OWNERSHIP_INSIGHTS_FAILED: Ownership Insights failed.
        type:
          type: string
          description: Data type of the value. Can be boolean, string, object, etc.
        description:
          type: string
          description: Provides additional information about the area requiring attention.
    Jurisdictional-Information:
      description: >-
        This contains information that is very specific to certain jurisdictions
        and is not available in other jurisdictions
      type: object
      properties:
        registryInformation:
          $ref: '#/components/schemas/Jurisdictional-Registry-Information'
          description: >-
            This includes information that specific registries have available
            for organizations
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/Jurisdictional-Alias'
        taxpayerIdentificationNumber:
          $ref: '#/components/schemas/Value-Source-ID'
        vatNumber:
          $ref: '#/components/schemas/Value-Source-ID'
        virtualId:
          $ref: '#/components/schemas/Value-Source-ID'
        fiscalCode:
          $ref: '#/components/schemas/Code-Description-Source-ID'
          description: Fiscal information. Available for certain jurisdictions
        legalFormDetails:
          $ref: '#/components/schemas/Jurisdictional-Legal-Form-Details'
          description: Legal Form Details. Available for certain jurisdictions
        annualAccount:
          $ref: '#/components/schemas/Jurisdictional-Annual-Account'
          description: Annual Account. Available for certain jurisdictions
    Base-Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            name:
              $ref: '#/components/schemas/Individual-Name'
            alternateNames:
              type: array
              items:
                $ref: '#/components/schemas/Individual-Name-Alternate'
              description: >-
                Other names that are legally registered or otherwise recorded,
                differing from the individual's primary English name (e.g.,
                "李小龍"). Non-English names may be created as a conversion from
                the original format to complete the verification process.
            dateOfBirth:
              $ref: '#/components/schemas/Date-Of-Birth'
            alternateDatesOfBirth:
              type: array
              items:
                $ref: '#/components/schemas/Date-Of-Birth-Alternate'
              description: >-
                Other dates that are registered or otherwise recorded, differing
                from the individual's primary Gregorian date of birth (e.g.,
                Islamic dates like "29 Jumada Al-Akhirah 1445"). Non-Gregorian
                date formats will be maintained; however, additional Gregorian
                dates of birth may be created as a conversion from the original
                format to complete the verification process.
            gender:
              $ref: '#/components/schemas/Gender'
            placeOfBirth:
              $ref: '#/components/schemas/Address-Place-Of-Birth'
              description: The address where the individual was born.
            nationality:
              type: string
              description: >-
                ISO-3166-1 alpha-3 code of the individual's legal membership or
                affiliation with a nation.
              example: AUS
              x-oapi-codegen-extra-tags:
                audit: keep
            consents:
              type: array
              items:
                $ref: '#/components/schemas/Consent'
              description: List of consent types that have been given for this entity.
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Entity-Type:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Percentage-Owned:
      description: The percentage of ownership of the entity
      type: object
      properties:
        total:
          type: number
          format: double
        isTotalNearZero:
          type: boolean
          description: Indicates if the total percentage is negligible.
        beneficially:
          type: number
          format: double
        isBeneficialNearZero:
          type: boolean
          description: Indicates if the beneficially held percentage is negligible.
        nonBeneficially:
          type: number
          format: double
        isNonBeneficialNearZero:
          type: boolean
          description: Indicates if the non-beneficially held percentage is negligible.
        isContainingJointOwnership:
          description: |
            Indicates if the percentage held contains a jointly held percentage.
          type: boolean
    Blocking-Reason:
      type: object
      properties:
        type:
          type: string
        description:
          type: string
        circularEntities:
          description: >-
            Entities identified as part of circular reference, with the Blocking
            Entity as the last link before the detection of circular.
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID'
        candidates:
          description: Potential matches of the requested business entity.
          type: array
          items:
            $ref: '#/components/schemas/Organization-Blocking-Candidates'
    Code-Description:
      type: object
      properties:
        code:
          description: Short standard code or normalized representation of the information
          type: string
        description:
          description: >-
            The information relevant to the code, could be a more descriptive
            information
          type: string
    Organization-Blocking-Definition:
      type: string
      enum:
        - ORGANIZATION_NOT_FOUND
        - NO_SHAREHOLDERS_FOUND
        - COUNTRY_NOT_SUPPORTED
        - NON_BENEFICIAL_INDIVIDUAL
        - NON_BENEFICIAL_ORGANIZATION
        - NON_BENEFICIAL_UNKNOWN
        - CIRCULAR_REFERENCE
        - ENTITY_TYPE_UNKNOWN
        - INSUFFICIENT_MAX_CREDIT_COST
        - INACTIVE_ORGANIZATION
        - OTHER
      description: Indicates the type of the blocking entity
    Risk-Assessment-ID:
      type: string
      description: Unique identifier of the risk assessment.
      readOnly: true
    Workflow-Execution-Summary:
      type: object
      description: >
        Summary of the workflow execution.


        ### Using and interpreting the status field


        The result of the workflow is represented in the **status** field. Users
        can manually override this status with a different value to change the
        outcome of the workflow.

        When the **status** field is overridden, the **statusOverrideRequestId**
        field is populated with the request ID of the override request.

        If the **statusOverrideRequestId** field is present and non-empty, it
        indicates that the status has been manually changed.

          1. Initial State:
             - When a workflow completes, its result is set in the **status** field.
          2. Status Override:
             - Users may override the **status** field with a different value (e.g., change FAIL to PASS).
          3. Identifying Overrides:
             - To determine if a status has been overridden, check for the presence of the **statusOverrideRequestId** field.
             - If present, it indicates that the status has been manually changed.
          4. Additional Override Information:
             - **statusOverrideBy**: Identifies the user who performed the override (may not always be present).
             - **statusOverrideAt**: Timestamp of when the override occurred.
          5. Interpretation:
             - If **statusOverrideRequestId** is empty or absent, no override has occurred.
             - If **statusOverrideRequestId** is present, then a manual override has occurred.
      properties:
        schemaVersion:
          type: integer
          description: Version of the schema used for this workflow execution.
        workflowName:
          type: string
          description: Name of the workflow.
        workflowExecutionId:
          type: string
          description: Unique identifier for the workflow execution.
        workflowExecutionState:
          $ref: '#/components/schemas/Workflow-Execution-StateEnum'
          description: Current state of the workflow execution.
        status:
          $ref: '#/components/schemas/Workflow-Execution-ResultEnum'
          description: Current status/result of the workflow execution.
        statusOverrideAt:
          type: string
          format: date-time
          description: Timestamp when the status override occurred.
        statusOverrideRequestId:
          type: string
          description: Request ID associated with the status override.
        statusOverrideBy:
          type: string
          description: Identifier of the user who performed the status override.
        riskAssessment:
          $ref: '#/components/schemas/Risk-Assessment'
          description: Risk assessment for the workflow execution.
        isManual:
          type: boolean
          description: Indicates if the workflow was executed manually.
        steps:
          $ref: '#/components/schemas/Workflow-Execution-Steps'
          description: Steps executed as part of the workflow.
        startedAt:
          type: string
          format: date-time
          description: The timestamp when the workflow execution started.
        endedAt:
          type: string
          format: date-time
          description: The timestamp when the workflow execution ended.
        issues:
          type: array
          x-oapi-codegen-extra-tags:
            audit: keep
          description: List of issues encountered during the workflow execution.
          items:
            $ref: '#/components/schemas/Workflow-Issue'
        lifecyclePhase:
          $ref: '#/components/schemas/Workflow-LifecyclePhaseEnum'
          description: Current lifecycle phase of the workflow.
        monitoringTypes:
          description: |
            The types of monitoring that subscribe to the workflow.
          type: array
          items:
            $ref: '#/components/schemas/Monitoring-Type'
    Service-Profile-Subscription:
      type: object
      properties:
        serviceProfileId:
          type: string
          description: The unique identifier of the service profile.
        status:
          type: string
          enum:
            - ENABLED
            - DISABLED
          description: >-
            Indicates whether the subscription is currently active and
            operational.
        type:
          $ref: '#/components/schemas/Subscription-Type'
        workflowName:
          type: string
          description: >-
            The name of the monitoring workflow executed when a monitoring alert
            occurs.
        workflowId:
          type: string
          description: The unique identifier of the monitoring workflow.
        enabledAt:
          type: string
          format: date-time
          description: The date and time when the subscription was most recently enabled.
        enabledRequestId:
          type: string
          description: The request identifier for the most recent enable action.
        enabledBy:
          type: string
          description: The user who most recently enabled the subscription.
        disabledAt:
          type: string
          format: date-time
          description: The date and time when the subscription was most recently disabled.
        disabledRequestId:
          type: string
          description: The request identifier for the most recent disable action.
        disabledBy:
          type: string
          description: The user who most recently disabled the subscription.
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Phone-Number:
      type: object
      properties:
        phoneNumberId:
          $ref: '#/components/schemas/Phone-Number-ID'
        isPreferred:
          type: boolean
          example: true
          description: Indicates whether this is the individual's preferred phone number.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - HOME
            - MOBILE
            - BUSINESS
            - FAX
          description: The type of phone number.
          example: MOBILE
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 14fd5f64-5717-4562-b3fc-2c963f66ba34
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: ISO-3166-1 alpha-3 country code.
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        number:
          type: string
          description: The phone number.
          example: '0426192340'
          x-oapi-codegen-extra-tags:
            audit: mask
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the phone number is attached to one or more addresses, the
            address IDs of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: fa335f64-5717-4562-b3fc-2c963f66cf41
        unstructuredLongForm:
          type: string
          description: >-
            Used to capture free-form phone numbers or to store numbers that
            could not be normalized.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the phone number was last updated. ISO 8601
            format.
    Email:
      type: object
      properties:
        emailAddressId:
          $ref: '#/components/schemas/Email-Address-ID'
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - PERSONAL
            - BUSINESS
          example: WORK
          description: The type of email address, if known.
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 31dd15f64-5717-4562-b3fc-2c963f66234d
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        email:
          type: string
          description: >-
            The individual's email address. This email can be used to notify the
            individual of any verification requirements.
          example: leonardo_dc@outlook.com
          x-oapi-codegen-extra-tags:
            audit: mask
        isPreferred:
          type: boolean
          description: >-
            Indicates whether this email address is the individual's preferred
            email. The preferred email will be used to send notifications at the
            client's request.
          default: true
          x-oapi-codegen-extra-tags:
            audit: keep
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the email is attached to one or more addresses, the address IDs
            of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: adc215f64-5717-4562-b3fc-2c963f66222a
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the email address was last updated. ISO 8601
            format.
    External-Reference:
      type: object
      description: >-
        Reference information used to identify the individual in systems
        external to FrankieOne.
      allOf:
        - type: object
          properties:
            referenceId:
              type: string
              description: >-
                As external references are added to an entity, they are assigned
                a unique identifier to assist with modification and reference.

                To modify an external reference, include the referenceId in an
                update request for the individual.
              example: 24de15f64-5717-4562-b3fc-2c963f66e23e
              x-oapi-codegen-extra-tags:
                audit: keep
            type:
              type: string
              enum:
                - SYSTEM
                - CUSTOMER
                - ACCOUNT
                - OTHER
              default: CUSTOMER
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              example: 93da15f64-5717-4562-b3fc-2c963f6663fe
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            metadata:
              type: object
              description: >-
                Key-value pairs for storing additional metadata about the
                external reference
              additionalProperties:
                $ref: '#/components/schemas/External-Reference-Metadata'
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the external reference was last updated. ISO
                8601 format.
        - $ref: '#/components/schemas/External-Reference-Information'
    Entity-Documents:
      type: object
      properties:
        REPORT:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        SUPPORTING:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        IDENTITY:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        OTHER:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
    Code-Description-Source-ID:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - properties:
            sourceId:
              type: string
              description: >-
                Where specific information was sourced. This is a reference to
                an informationSource object in the informationSources map.
    Organization-Registration-Details:
      type: object
      allOf:
        - $ref: '#/components/schemas/Organization-Registry'
        - type: object
          properties:
            type:
              $ref: '#/components/schemas/Code-Description-Source-ID'
            class:
              $ref: '#/components/schemas/Code-Description-Source-ID'
            subClass:
              $ref: '#/components/schemas/Code-Description-Source-ID'
            subType:
              $ref: '#/components/schemas/Code-Description-Source-ID'
            status:
              $ref: '#/components/schemas/Organization-Status'
              description: The status of the organization based on its primary registry
            isCurrent:
              description: Indicates that the registration is current
              type: boolean
            registeredName:
              $ref: '#/components/schemas/Organization-Name'
              description: The name of organization in the registry
            registeredDate:
              $ref: '#/components/schemas/Date'
              description: The date the organization was registered on
            extractedDate:
              $ref: '#/components/schemas/Date'
              description: >-
                The date when the organization details were extracted from the
                registry
            registeredSubdivision:
              description: >-
                The subdivision that the organization was registered at. The
                registered state for jurisdictions like Australia will be
                available in this field.
              type: string
            registeredCountry:
              description: The country that the organization was registered at
              type: string
            registrationStatus:
              $ref: '#/components/schemas/Organization-Status'
            registrationNumber:
              description: The registration number of the organization in the registry
              type: string
            registrationNumberType:
              description: The type of the registration number, e.g. ACN, ABN, etc.
              type: string
            registrationNumberDescription:
              description: >-
                The description of type of the registration number, e.g.
                Australian Company Number, Australian Business Number, etc.
              type: string
            updatedDate:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration was last updated
            reviewDate:
              $ref: '#/components/schemas/Date'
              description: The future date when the registration needs to be reviewed
            foundationDate:
              $ref: '#/components/schemas/Date'
              description: >-
                In some registries the foundation date (when the organization
                was registered or founded) is provided
            isSuppressed:
              description: Denotes whether the information in the registry is suppressed
              type: boolean
            validFrom:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration started
            validTo:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration ended
            governance:
              $ref: '#/components/schemas/Code-Description'
              description: The governance structure of the organization.
            sourceId:
              type: string
              description: >-
                The source from where a specific information was sourced from.
                This is a link to an informationSource object in the
                informationSources map.
          required:
            - registrationNumber
    Organization-Status:
      type: object
      properties:
        normalized:
          $ref: '#/components/schemas/Code-Description'
          description: normalized status form
        unstructured:
          $ref: '#/components/schemas/Code-Description'
          description: raw status form
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Organization-Jurisdiction:
      title: Organization-Jurisdiction
      type: object
      description: >-
        Details of the country and jurisdiction that the organization is
        operating in, both retrieved from the registry
      allOf:
        - $ref: '#/components/schemas/Organization-Registry'
        - $ref: '#/components/schemas/Organization-Region'
    Industry-Declaration:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - type: object
          properties:
            language:
              description: The language in which the information was filed
              type: string
            sourceId:
              type: string
              description: >-
                The source from where a specific information was sourced from.
                This is a link to an informationSource object in the
                informationSources map.
    Industry-Code:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - type: object
          properties:
            type:
              description: Determines the type of the industry code.
              type: string
            sourceId:
              type: string
              description: >-
                Where specific information was sourced. This is a reference to
                an informationSource object in the informationSources map.
    Organization-Shareholder-Shareholding:
      description: >-
        The details of shares or any other types of equity units issued by a
        company to its holders.
      allOf:
        - $ref: '#/components/schemas/Organization-Share-Structure'
        - type: object
          properties:
            percentage:
              description: The percentage of shares
              type: number
              format: double
            isNonBeneficiallyHeld:
              description: Flag to show whether this is non beneficially held
              type: boolean
            isJointlyHeld:
              description: Flag to show whether this is jointly held
              type: boolean
            holdingType:
              type: array
              items:
                $ref: '#/components/schemas/Organization-Ownership-TypeEnum'
    Organization-Share-Structure:
      type: object
      properties:
        shareInterestType:
          $ref: '#/components/schemas/Organization-Interest-Type'
        class:
          description: The class of the shares in the interest
          type: string
        classDescription:
          description: The description of class of shares
          type: string
        shares:
          description: The number of shares that are included in this specific interest
          type: number
          format: double
        nominalValue:
          type: string
          description: This will be available only in specific registries, where available
        isFullyPaid:
          description: Flag to show whether the shares are fully paid
          type: boolean
        amountPaid:
          description: The amount paid
          type: string
        amountDue:
          description: The amount due
          type: string
        amount:
          description: The total amount
          type: string
        unstructuredAmount:
          description: The total amount in an unstructured format
          type: string
        currency:
          description: The currency in which the shares are registered at
          type: string
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
        type:
          description: The type of shares that are included in the description
          type: string
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of information like current, historical, etc
    Organization-Share-Interest-Member:
      type: object
      description: The entities that are a part of the interest
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
    Organization-Official-Type:
      description: The type of role in the organization.
      type: string
      enum:
        - OFFICIAL
        - PSC
        - US_AGENT
        - US_OFFICER
    Organization-Official-Identification:
      type: object
      properties:
        type:
          type: string
          enum:
            - DIRECTOR_IDENTIFICATION_NUMBER
        idNumber:
          type: string
        jurisdiction:
          $ref: '#/components/schemas/Organization-Jurisdiction'
    Organization-Official-Directorship:
      type: object
      description: >-
        Information on roles of the official in other organizations.  Available
        in some jurisdictions.
      properties:
        organization:
          $ref: '#/components/schemas/Official-Organization'
          description: Details of the organization in which the official holds a role
        role:
          $ref: '#/components/schemas/Code-Description'
          description: >-
            The role of the official in the organization.  '''code''' is the
            normalized code for the role.
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
        appointmentDate:
          $ref: '#/components/schemas/Date'
          description: The date when the official was appointed for the organization
        nationality:
          type: string
    Organization-Ownership-TypeEnum:
      type: string
      enum:
        - SHARE
        - UNIT
    Jurisdictional-Registry-Information:
      type: object
      properties:
        abnReplacedFrom:
          $ref: '#/components/schemas/Date'
          description: This is the date from which the ABN was replaced
        charityInformation:
          description: Charity information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/ABR-Information'
        gst:
          description: GST information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/ABR-Information'
        superannuationStatus:
          $ref: '#/components/schemas/Jurisdictional-Superannuation'
          description: Superannuation status retrieved from ABR
        acncRegistrations:
          description: ACNC registration information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/Jurisdictional-Acnc'
        dgr:
          description: DGR information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/Jurisdictional-Dgr'
        disclosingEntity:
          description: >-
            Indicates if the organization is a disclosing entity as per ASIC
            registry
          type: boolean
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Jurisdictional-Alias:
      description: >-
        This contains information that is very specific to certain jurisdictions
        and is not available in other jurisdictions
      type: object
      properties:
        alias:
          type: string
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Jurisdictional-Legal-Form-Details:
      type: object
      properties:
        basis:
          type: string
        capital:
          type: string
        comments:
          type: string
        control:
          type: string
        incorp:
          type: string
        partner:
          type: string
        responsibility:
          type: string
        stocks:
          type: string
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Jurisdictional-Annual-Account:
      type: object
      properties:
        lastAnnualAccountDate:
          $ref: '#/components/schemas/Date'
        sourceId:
          type: string
          description: >-
            Where specific information was sourced. This is a reference to an
            informationSource object in the informationSources map.
    Individual-Name:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s)
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: >-
            Another name that this person may be known as, e.g., "Bob" as an
            alternative to "Robert".
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Letters or words that come before an individual's full name (e.g.,
            title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Letters or words that come after an individual's full name (e.g.,
            generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Individual-Name-Alternate:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it.
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name.
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name.
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s).
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: Other names to be stored with the entity.
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Element or series of letters that precede the individual's full name
            (e.g., title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Element or series of letters that follow the individual's full name
            (e.g., generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          type: string
          example: OTHER
          enum:
            - OTHER
            - ALIAS
            - PREVIOUS
          description: >-
            Classification of the individual's name in relation to any of their
            alternative names.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Date-Of-Birth:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Date-Of-Birth-Alternate:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Gender:
      type: object
      properties:
        genderId:
          type: string
          readOnly: true
          deprecated: true
          x-oapi-codegen-extra-tags:
            audit: keep
        gender:
          $ref: '#/components/schemas/GenderEnum'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Address-Place-Of-Birth:
      type: object
      required:
        - country
      description: The country or address where the individual was born.
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          example: 6ad15f64-5717-4562-b3fc-2c963f66abf9
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 1da65f64-5717-4562-b3fc-2c963f669fba
          x-oapi-codegen-extra-tags:
            audit: keep
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          example: 525 Kent Dr, Harlem NY 10037, USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructuredLongForm:
          type: string
          readOnly: true
          description: >-
            Raw, unformatted address as provided by the source. Not normalized
            or standardized.
          example: 3A/525 KENT DRIVE HARLEM NEW YORK 10036 USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          example: 3A
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          example: EQ Tower
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          example: Kent
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          example: '525'
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          example: Dr
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          example: Harlem
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, borough, town, village, or city.
[...]
